#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int t;
    cin >> t;

    string res_str = "";

    while (t--)
    {
        int n, m;
        cin >> n >> m;

        if ((n == 1 && m > 1) || (m == 1 && n > 1))
        {
            res_str += "-1\n";
            continue;
        }

        if (n == m) 
        {
            for (int i = 1; i <= n; i++)
            {
                for (int j = 1; j <= m; j++)
                {
                    if (i == 1 || i == n || j == 1 || j == m || i == j)
                      res_str += "1";
                    else
                      res_str += "0";
                    if (j < m)
                      res_str += " ";
                }
                res_str += "\n";
            }
        }
        else
          res_str += "-1\n";

    }

    cout << res_str;

    return 0;
}